#
# spec file for package rubygem-ronn
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ronn
Version:        0.7.3
Release:        2.24
%define mod_name ronn
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://rtomayko.github.com/ronn
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  ronn-date.patch
# /MANUAL
Summary:        Builds manuals
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Ronn builds manuals. It converts simple, human readable textfiles to roff
for terminal display, and also to HTML for the web.

%prep
%gem_unpack
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGES COPYING README.md" \
  -f

%gem_packages

%changelog
* Mon Dec  9 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add ronn-date.patch to have reprodubible build time (boo#1047218)
* Tue Apr 25 2017 avvissu@yandex.by
- Update the description
* Wed Oct 22 2014 tboerger@suse.com
- Updated to new macros
* Sat Mar 24 2012 berendt@b1-systems.de
- initial version created with gem2rpm
